#include <pch.h>

SDL_GPUCopyPass* CopyPassBegin(SDL_GPUCommandBuffer* copy_command_buffer) {
    assert(copy_command_buffer != NULL);

    SDL_GPUCopyPass* copy_pass = SDL_BeginGPUCopyPass(copy_command_buffer);
    if(copy_pass == NULL) {
        SDL_Log("Failed to begin copy pass: %s", SDL_GetError());
    }

    return copy_pass;
}

void CopyPassEnd(SDL_GPUCopyPass* copy_pass) {
    assert(copy_pass != NULL);

    SDL_EndGPUCopyPass(copy_pass);
}
